BillingProfileCreationRequest Class

The request parameters for creating a new billing profile.

Inheritance
BillingProfileCreationRequest

Constructor

BillingProfileCreationRequest(*, display_name: Optional[str] = None, po_number: Optional[str] = None, bill_to: Optional[azure.mgmt.billing.models._models_py3.AddressDetails] = None, invoice_email_opt_in: Optional[bool] = None, enabled_azure_plans: Optional[List[azure.mgmt.billing.models._models_py3.AzurePlan]] = None, **kwargs)

Parameters

display_name
str
Required

The name of the billing profile.

po_number
str
Required

The purchase order name that will appear on the invoices generated for the billing profile.

bill_to
AddressDetails
Required

The address of the individual or organization that is responsible for the billing profile.

invoice_email_opt_in
bool
Required

Flag controlling whether the invoices for the billing profile are sent through email.

enabled_azure_plans
list[AzurePlan]
Required

Enabled azure plans for the billing profile.